<template>
  <form class="col-span-full grid" @submit.prevent="submitFormStargic">
    <b class="text-lg">เพิ่มด้าน</b>
    <div
      class="col-span-full grid grid-cols-1 md:grid-cols-3 lg:grid-cols-4 xl:grid-cols-5 gap-5"
    >
      <div class="grid">
        <p>ปีงบประมาณ</p>
        <el-select
          v-model="form.budget_year_id"
          filterable
          placeholder="ปีงบประมาณ"
        >
          <el-option
            v-for="item in budget_years"
            :key="item.id"
            :label="item.year"
            :value="item.id"
          >
          </el-option>
        </el-select>
        <small class="text-red-500 font-bold"
          >{{ errors?.budget_year_id }}
        </small>
      </div>
      <div class="grid">
        <p>ยุทธศาสตร์</p>
        <el-select
          v-model="form.stargic_id"
          filterable
          placeholder="ยุทธศาสตร์"
        >
          <el-option
            v-for="item in stargics"
            :key="item.id"
            :label="item.name"
            :value="item.id"
          >
          </el-option>
        </el-select>
        <small class="text-red-500 font-bold">{{ errors?.stargic_id }} </small>
      </div>
      <div class="grid">
        <div class="flex justify-between">
          <p>โครงการหลัก</p>
          <inertia-link :href="route('admin.projects.create')">
            <small
              class="
                text-blue-400
                cursor-pointer
                hover:text-blue-700
                hover:underline
                font-bold
              "
              >เพิ่มข้อมูล</small
            ></inertia-link
          >
        </div>
        <el-select
          v-model="form.main_project"
          filterable
          placeholder="โครงการหลัก"
        >
          <el-option
            v-for="item in main_projects"
            :key="item.id"
            :label="item.name"
            :value="item.id"
          >
          </el-option>
        </el-select>
        <small class="text-red-500 font-bold"
          >{{ errors?.main_project }}
        </small>
      </div>
      <div class="grid">
        <p>ด้าน</p>
        <input
          :class="`${errors?.side ? ' border-red-600' : ''}
                  px-3
                  py-2
                  rounded
                  border border-gray-200
                  placeholder-gray-300`"
          v-model="form.side"
          placeholder="ปีงบประมาณ"
        />
        <small class="text-red-500 font-bold">{{ errors?.stargic_id }} </small>
      </div>
      <button
        type="submit"
        class="
          self-end
          transition
          duration-200
          ease-in-out
          transform
          hover:-translate-y-1
          px-3
          py-2
          bg-gradient-to-r
          from-yellow-600
          to-yellow-400
          rounded-md
          text-white
          shadow-md
          focus:outline-none
          ali
        "
      >
        แมทซ์
      </button>
    </div>
  </form>
</template>

<script>
import { Inertia } from "@inertiajs/inertia";
import { defineComponent, reactive, toRefs } from "vue";

export default defineComponent({
  props: {
    stargics: Array,
    budget_years: Array,
    errors: Object,
    main_projects: Array,
  },
  setup(props) {
    const { errors, stargics, budget_years } = toRefs(props);

    const form = reactive({
      budget_year_id: null,
      stargic_id: null,
      name: null,
    });
    const submitFormStargic = () => {
      Inertia.post(route("admin.stargics.store"), form, {
        onSuccess: () => {
          form.budget_year_id = null;
          form.stargic_id = null;
          form.name = null;
        },
      });
    };

    return {
      submitFormStargic,
      form,
      errors,
      stargics,
      budget_years,
    };
  },
});
</script>


<style>
</style>
